> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Channel API Endpoint

> This API endpoint allows a user to create a new channel.



## OpenAPI

````yaml post /api/channel/create/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/channel/create/:
    post:
      tags:
        - api
      summary: Create Channel API Endpoint
      description: This API endpoint allows a user to create a new channel.
      operationId: create_channel
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChannelCreation'
        required: true
      responses:
        '201':
          description: Successfully created the channel
          content:
            application/json:
              schema:
                title: Channel
                type: object
                properties:
                  channel_id:
                    type: integer
                  disabled:
                    type: boolean
                  user_id:
                    type: integer
                  channel_country:
                    type: string
                  channel_website:
                    type: string
                  add_date:
                    type: string
                    format: date
                  channel_content_category:
                    type: string
                  estimated_monthly_earnings:
                    type: string
                  estimated_yearly_earnings:
                    type: string
                  channel_name:
                    type: string
                  channel_url:
                    type: string
                  thumbnail:
                    type: string
                description: Channel OpenAPI Schema
              example:
                channel_id: 1
                disabled: false
                user_id: 1
                channel_country: US
                channel_website: https://youtube.com
                add_date: '2024-03-17T00:00:00.000Z'
                channel_content_category: Gaming
                estimated_monthly_earnings: '1000'
                estimated_yearly_earnings: '12000'
                channel_name: PewDiePie
                channel_url: https://www.youtube.com/channel/UCi8e0iOVk1fEOogdfu4YgfA
                thumbnail: null
        '400':
          description: Failed to create the channel or validation errors
          content: {}
        '500':
          description: Failed to create the channel
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  schemas:
    ChannelCreation:
      required:
        - channel_content_category
        - channel_country
        - channel_name
        - channel_url
        - channel_website
        - estimated_monthly_earnings
        - estimated_yearly_earnings
      type: object
      properties:
        channel_country:
          title: Channel country
          minLength: 1
          type: string
        channel_url:
          title: Channel url
          minLength: 1
          type: string
          format: uri
        channel_name:
          title: Channel name
          minLength: 1
          type: string
        channel_website:
          title: Channel website
          minLength: 1
          type: string
          format: uri
        channel_content_category:
          title: Channel content category
          minLength: 1
          type: string
        estimated_monthly_earnings:
          title: Estimated monthly earnings
          minLength: 1
          type: string
        estimated_yearly_earnings:
          title: Estimated yearly earnings
          minLength: 1
          type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````